Skip to content
Structly Docs
한국어

stly

stly services

On this page

This page is generated from the public contract. Descriptions are shown in the original Korean.

stly services apis#

Service의 제공 API 목록

  • HTTP request: GET /api/services/{id}/apis
  • Authentication modes: Agent token, User session
  • Changes records: No

Arguments

  • id: ID

Options

NameTypeRequiredDescription
--fieldsstringNo응답 최상위 필드, 쉼표로 구분
Values: base_urls, created_at, description, handle, id, name, security, summary, updated_at
--pagestringNo1 이상 정수. page·per-page 중 하나라도 있으면 페이지 모드
--per-pagestringNo1~500 정수, 생략 시 100
--qstringNoname 필드의 대소문자 구분 리터럴 부분 일치 검색. summary·description·본문은 검색하지 않으며 정규식·와일드카드를 지원하지 않습니다
--sortstringNo리소스 기본 필드명 또는 - 접두 역순만 허용

Common options: --server, --env-file, --timeout, --auth-mode, --dry-run

Example

stly services apis 00000000-0000-0000-0000-000000000001 --q "검색어"

stly services cassandra-tables#

Service의 직접 연결 Cassandra Table 목록

  • HTTP request: GET /api/services/{id}/cassandra-tables
  • Authentication modes: Agent token, User session
  • Changes records: No

Arguments

  • id: ID

Options

NameTypeRequiredDescription
--fieldsstringNo응답 최상위 필드, 쉼표로 구분
Values: database_id, database_name, engine, id, name, summary
--pagestringNo1 이상 정수. page·per-page 중 하나라도 있으면 페이지 모드
--per-pagestringNo1~500 정수, 생략 시 100
--qstringNoname 필드의 대소문자 구분 리터럴 부분 일치 검색. summary·description·본문은 검색하지 않으며 정규식·와일드카드를 지원하지 않습니다
--sortstringNo리소스 기본 필드명 또는 - 접두 역순만 허용

Common options: --server, --env-file, --timeout, --auth-mode, --dry-run

Example

stly services cassandra-tables 00000000-0000-0000-0000-000000000001 --q "검색어"

stly services collections#

Service의 직접 연결 Collection 목록

  • HTTP request: GET /api/services/{id}/collections
  • Authentication modes: Agent token, User session
  • Changes records: No

Arguments

  • id: ID

Options

NameTypeRequiredDescription
--fieldsstringNo응답 최상위 필드, 쉼표로 구분
Values: database_id, database_name, engine, id, name, summary
--pagestringNo1 이상 정수. page·per-page 중 하나라도 있으면 페이지 모드
--per-pagestringNo1~500 정수, 생략 시 100
--qstringNoname 필드의 대소문자 구분 리터럴 부분 일치 검색. summary·description·본문은 검색하지 않으며 정규식·와일드카드를 지원하지 않습니다
--sortstringNo리소스 기본 필드명 또는 - 접두 역순만 허용

Common options: --server, --env-file, --timeout, --auth-mode, --dry-run

Example

stly services collections 00000000-0000-0000-0000-000000000001 --q "검색어"

stly services create#

Service 생성

  • HTTP request: POST /api/services
  • Authentication modes: Agent token, User session
  • Changes records: Yes
  • Input JSON (--input) required

Check the input JSON structure with stly schema services create.

Options

NameTypeRequiredDescription
--inputstringYesJSON 원문 파일 또는 stdin(-)
--fieldsstringNo응답 최상위 필드, 쉼표로 구분
Values: created_at, description, handle, id, name, status, summary, updated_at

Common options: --server, --env-file, --timeout, --auth-mode, --dry-run

Example

stly services create --input input.json

stly services databases#

Service의 직접 연결 Database 목록

  • HTTP request: GET /api/services/{id}/databases
  • Authentication modes: Agent token, User session
  • Changes records: No

Arguments

  • id: ID

Options

NameTypeRequiredDescription
--fieldsstringNo응답 최상위 필드, 쉼표로 구분
Values: database_id, database_name, engine, id, name, summary
--pagestringNo1 이상 정수. page·per-page 중 하나라도 있으면 페이지 모드
--per-pagestringNo1~500 정수, 생략 시 100
--qstringNoname 필드의 대소문자 구분 리터럴 부분 일치 검색. summary·description·본문은 검색하지 않으며 정규식·와일드카드를 지원하지 않습니다
--sortstringNo리소스 기본 필드명 또는 - 접두 역순만 허용

Common options: --server, --env-file, --timeout, --auth-mode, --dry-run

Example

stly services databases 00000000-0000-0000-0000-000000000001 --q "검색어"

stly services delete#

Service 삭제

  • HTTP request: DELETE /api/services/{id}
  • Authentication modes: Agent token, User session
  • Changes records: Yes
  • --if-match required

Arguments

  • id: ID

Options

NameTypeRequiredDescription
--if-matchstringYes상세 GET에서 얻은 단일 strong ETag
--fieldsstringNo응답 최상위 필드, 쉼표로 구분

Common options: --server, --env-file, --timeout, --auth-mode, --dry-run

Example

stly services delete 00000000-0000-0000-0000-000000000001 --if-match '"상세 GET의 ETag"'

stly services get#

Service 상세 조회

  • HTTP request: GET /api/services/{id}
  • Authentication modes: Agent token, User session
  • Changes records: No

Arguments

  • id: ID

Options

NameTypeRequiredDescription
--fieldsstringNo응답 최상위 필드, 쉼표로 구분
Values: created_at, description, handle, id, name, status, summary, updated_at

Common options: --server, --env-file, --timeout, --auth-mode, --dry-run

Example

stly services get 00000000-0000-0000-0000-000000000001

stly services kafka-usages#

Service를 참조하는 Kafka 사용 설명 목록

  • HTTP request: GET /api/services/{id}/kafka-usages
  • Authentication modes: Agent token, User session
  • Changes records: No

Arguments

  • id: ID

Options

NameTypeRequiredDescription
--fieldsstringNo응답 최상위 필드, 쉼표로 구분
Values: application_name, cluster_id, cluster_name, consumer_group, description, direction, topic_id, topic_name, usage_id
--pagestringNo1 이상 정수. page·per-page 중 하나라도 있으면 페이지 모드
--per-pagestringNo1~500 정수, 생략 시 100
--qstringNoname 필드의 대소문자 구분 리터럴 부분 일치 검색. summary·description·본문은 검색하지 않으며 정규식·와일드카드를 지원하지 않습니다
--sortstringNo리소스 기본 필드명 또는 - 접두 역순만 허용

Common options: --server, --env-file, --timeout, --auth-mode, --dry-run

Example

stly services kafka-usages 00000000-0000-0000-0000-000000000001 --q "검색어"

stly services key-patterns#

Service의 직접 연결 Key Pattern 목록

  • HTTP request: GET /api/services/{id}/key-patterns
  • Authentication modes: Agent token, User session
  • Changes records: No

Arguments

  • id: ID

Options

NameTypeRequiredDescription
--fieldsstringNo응답 최상위 필드, 쉼표로 구분
Values: database_id, database_name, engine, id, name, summary
--pagestringNo1 이상 정수. page·per-page 중 하나라도 있으면 페이지 모드
--per-pagestringNo1~500 정수, 생략 시 100
--qstringNoname 필드의 대소문자 구분 리터럴 부분 일치 검색. summary·description·본문은 검색하지 않으며 정규식·와일드카드를 지원하지 않습니다
--sortstringNo리소스 기본 필드명 또는 - 접두 역순만 허용

Common options: --server, --env-file, --timeout, --auth-mode, --dry-run

Example

stly services key-patterns 00000000-0000-0000-0000-000000000001 --q "검색어"

stly services list#

Service 목록 조회

  • HTTP request: GET /api/services
  • Authentication modes: Agent token, User session
  • Changes records: No

Options

NameTypeRequiredDescription
--fieldsstringNo응답 최상위 필드, 쉼표로 구분
Values: created_at, description, handle, id, name, status, summary, updated_at
--handlestringNoWeb 주소 이름 정확 일치 필터. 앞뒤 공백 제거·소문자 정규화 후 비교하며 결과는 최대 1건
--pagestringNo1 이상 정수. page·per-page 중 하나라도 있으면 페이지 모드
--per-pagestringNo1~500 정수, 생략 시 100
--qstringNoname 필드의 대소문자 구분 리터럴 부분 일치 검색. summary·description·본문은 검색하지 않으며 정규식·와일드카드를 지원하지 않습니다
--sortstringNo리소스 기본 필드명 또는 - 접두 역순만 허용

Common options: --server, --env-file, --timeout, --auth-mode, --dry-run

Example

stly services list --q "검색어"

stly services repositories#

Service의 연결 Repository 목록

  • HTTP request: GET /api/services/{id}/repositories
  • Authentication modes: Agent token, User session
  • Changes records: No

Arguments

  • id: ID

Options

NameTypeRequiredDescription
--fieldsstringNo응답 최상위 필드, 쉼표로 구분
Values: created_at, description, external_identity, git_url, handle, id, name, summary, updated_at
--pagestringNo1 이상 정수. page·per-page 중 하나라도 있으면 페이지 모드
--per-pagestringNo1~500 정수, 생략 시 100
--qstringNoname 필드의 대소문자 구분 리터럴 부분 일치 검색. summary·description·본문은 검색하지 않으며 정규식·와일드카드를 지원하지 않습니다
--sortstringNo리소스 기본 필드명 또는 - 접두 역순만 허용

Common options: --server, --env-file, --timeout, --auth-mode, --dry-run

Example

stly services repositories 00000000-0000-0000-0000-000000000001 --q "검색어"

Service 연결 Repository 하나 추가(GET 후 PUT)

  • HTTP request: PUT /api/services/{id}/repository-links
  • Authentication modes: Agent token, User session
  • Changes records: Yes

Arguments

  • id: ID

Options

NameTypeRequiredDescription
--repositorystringYes추가·제거할 Repository ID 하나
--fieldsstringNo응답 최상위 필드, 쉼표로 구분
Values: repository_ids, service_id, updated_at
--if-matchstringNo선택 기준 strong ETag. GET 토큰과 다르면 쓰기 전에 중단. 생략 시 과거 조회 시점은 보호하지 않음

Common options: --server, --env-file, --timeout, --auth-mode, --dry-run

Behavior

  1. 상세 GET 1회로 현재 수정 가능 필드·연결 집합과 strong ETag 조회
  2. 선택 --if-match와 GET ETag가 다르면 쓰기 전 중단. 생략 시 실행 직전 GET 이후 변경만 보호하며 과거 조회 시점은 보호하지 않음
  3. 지정 필드·ID만 변경하고 나머지는 보존한 전체 PUT 1회. 연결 추가·제거의 no-op은 PUT 생략
  4. 412·쓰기 결과 불명 후 자동 재조회·재전송 없음. 성공 후 새 ETag를 위한 자동 GET 없음
  5. dry-run은 HTTP·설정·credential 접근 없이 계획만 표시하며 현재 값·최종 본문·권한·no-op 여부는 미확인

Example

stly services repository-links add 00000000-0000-0000-0000-000000000001 --repository 00000000-0000-0000-0000-000000000001

Service 연결 Repository 집합 조회

  • HTTP request: GET /api/services/{id}/repository-links
  • Authentication modes: Agent token, User session
  • Changes records: No

Arguments

  • id: ID

Options

NameTypeRequiredDescription
--fieldsstringNo응답 최상위 필드, 쉼표로 구분
Values: repository_ids, service_id, updated_at

Common options: --server, --env-file, --timeout, --auth-mode, --dry-run

Example

stly services repository-links get 00000000-0000-0000-0000-000000000001

Service 연결 Repository 하나 제거(GET 후 PUT)

  • HTTP request: PUT /api/services/{id}/repository-links
  • Authentication modes: Agent token, User session
  • Changes records: Yes

Arguments

  • id: ID

Options

NameTypeRequiredDescription
--repositorystringYes추가·제거할 Repository ID 하나
--fieldsstringNo응답 최상위 필드, 쉼표로 구분
Values: repository_ids, service_id, updated_at
--if-matchstringNo선택 기준 strong ETag. GET 토큰과 다르면 쓰기 전에 중단. 생략 시 과거 조회 시점은 보호하지 않음

Common options: --server, --env-file, --timeout, --auth-mode, --dry-run

Behavior

  1. 상세 GET 1회로 현재 수정 가능 필드·연결 집합과 strong ETag 조회
  2. 선택 --if-match와 GET ETag가 다르면 쓰기 전 중단. 생략 시 실행 직전 GET 이후 변경만 보호하며 과거 조회 시점은 보호하지 않음
  3. 지정 필드·ID만 변경하고 나머지는 보존한 전체 PUT 1회. 연결 추가·제거의 no-op은 PUT 생략
  4. 412·쓰기 결과 불명 후 자동 재조회·재전송 없음. 성공 후 새 ETag를 위한 자동 GET 없음
  5. dry-run은 HTTP·설정·credential 접근 없이 계획만 표시하며 현재 값·최종 본문·권한·no-op 여부는 미확인

Example

stly services repository-links remove 00000000-0000-0000-0000-000000000001 --repository 00000000-0000-0000-0000-000000000001

Service 연결 Repository 집합 전체 교체

  • HTTP request: PUT /api/services/{id}/repository-links
  • Authentication modes: Agent token, User session
  • Changes records: Yes
  • Input JSON (--input) required
  • --if-match required

Check the input JSON structure with stly schema services repository-links update.

Arguments

  • id: ID

Options

NameTypeRequiredDescription
--if-matchstringYes상세 GET에서 얻은 단일 strong ETag
--inputstringYesJSON 원문 파일 또는 stdin(-)
--fieldsstringNo응답 최상위 필드, 쉼표로 구분
Values: repository_ids, service_id, updated_at

Common options: --server, --env-file, --timeout, --auth-mode, --dry-run

Example

stly services repository-links update 00000000-0000-0000-0000-000000000001 --input input.json --if-match '"상세 GET의 ETag"'

stly services systems#

Service의 소속 System 조회

  • HTTP request: GET /api/services/{id}/systems
  • Authentication modes: Agent token, User session
  • Changes records: No

Arguments

  • id: ID

Options

NameTypeRequiredDescription
--fieldsstringNo응답 최상위 필드, 쉼표로 구분
Values: description, id, inclusion, kind, name, summary
--pagestringNo1 이상 정수. page·per-page 중 하나라도 있으면 페이지 모드
--per-pagestringNo1~500 정수, 생략 시 100
--qstringNoname 필드의 대소문자 구분 리터럴 부분 일치 검색. summary·description·본문은 검색하지 않으며 정규식·와일드카드를 지원하지 않습니다
--scopestringNodirect 또는 recursive 구성 범위
Values: direct, recursive
--sortstringNo리소스 기본 필드명 또는 - 접두 역순만 허용

Common options: --server, --env-file, --timeout, --auth-mode, --dry-run

Example

stly services systems 00000000-0000-0000-0000-000000000001 --q "검색어"

stly services tables#

Service의 직접 연결 Table 목록

  • HTTP request: GET /api/services/{id}/tables
  • Authentication modes: Agent token, User session
  • Changes records: No

Arguments

  • id: ID

Options

NameTypeRequiredDescription
--fieldsstringNo응답 최상위 필드, 쉼표로 구분
Values: database_id, database_name, engine, id, name, summary
--pagestringNo1 이상 정수. page·per-page 중 하나라도 있으면 페이지 모드
--per-pagestringNo1~500 정수, 생략 시 100
--qstringNoname 필드의 대소문자 구분 리터럴 부분 일치 검색. summary·description·본문은 검색하지 않으며 정규식·와일드카드를 지원하지 않습니다
--sortstringNo리소스 기본 필드명 또는 - 접두 역순만 허용

Common options: --server, --env-file, --timeout, --auth-mode, --dry-run

Example

stly services tables 00000000-0000-0000-0000-000000000001 --q "검색어"

stly services update#

Service 수정

  • HTTP request: PUT /api/services/{id}
  • Authentication modes: Agent token, User session
  • Changes records: Yes
  • Input JSON (--input) required
  • --if-match required

Check the input JSON structure with stly schema services update.

Arguments

  • id: ID

Options

NameTypeRequiredDescription
--if-matchstringYes상세 GET에서 얻은 단일 strong ETag
--inputstringYesJSON 원문 파일 또는 stdin(-)
--fieldsstringNo응답 최상위 필드, 쉼표로 구분
Values: created_at, description, handle, id, name, status, summary, updated_at

Common options: --server, --env-file, --timeout, --auth-mode, --dry-run

Example

stly services update 00000000-0000-0000-0000-000000000001 --input input.json --if-match '"상세 GET의 ETag"'